# Generate the Order-Score configuration file based on the data
source("./analysis/order-search/src/utils_ordersearch.R")
set.seed(11)

# setup -------------------------------------------------------------------
analysisDir <- "./analysis/order-search/"
analysis <- "GSE141593_piz_ko_mice_gene_expr_suppgenes_n=215_log2fc=2"
orsearch_file <- paste0(analysisDir, "input/", analysis, "_representative.txt")

data <- read.table(orsearch_file, header = FALSE)
starting.order <- sample(0:(ncol(data)-1))
max.time <- 4

configDir <- paste0(analysisDir, "/configs/")
if(!dir.exists(configDir)){
  dir.create(configDir)  
}



# generate config file ----------------------------------------------------
config.out <- paste0(configDir, analysis, ".", max.time, "h.preprior.config")

config <- generatePrepriorConfig(configFile = config.out,
                                 MaximumTime = max.time,
                                 data = data,
                                 DataFile = sub("\\.", "/home/samanthagonzales/piz_mice", orsearch_file),
                                 StartingOption = "Y",
                                 StartingOrder = starting.order)

cat("Config file created in: ", config.out, "\n")