# generate the config files for use in GetStructures.cpp
source("./analysis/order-search/src/utils_structures.R")
set.seed(11)


# setup -------------------------------------------------------------------
analysisDir <- "./analysis/order-search/"
analysis <- "GSE141593_piz_ko_mice_gene_expr_suppgenes_n=215_log2fc=2"
orsearch_file <- paste0(analysisDir, "input/", analysis, "_representative.txt")


orsearch.output.path <- paste0(analysisDir, "/output/", analysis, "_4h_mcmc_prescreen_results_2024.08.19.txt")
structmb.config.out <- paste0(analysisDir, "/configs/", analysis, ".structmb.config")
configDir <- paste0(analysisDir, "/configs/")

if(!dir.exists(configDir)){
  dir.create(configDir, recursive = TRUE)  
}

data <- read.table(orsearch_file, header = FALSE)
best.order <- extractBestOrder(results.path = orsearch.output.path, nvariables = ncol(data))


generateStructConfig(configFile = structmb.config.out, 
                     data = data,
                     DataFile = sub("\\.", "/home/samanthagonzales/piz_mice", orsearch_file),
                     Order = best.order,
                     OutputFileName = paste0("/home/samanthagonzales/piz_mice/analysis/order-search/output/", analysis, "_struct_results.txt"))
cat("Structures configuration file can be found in", structmb.config.out)