# Generate consensus graph from the GetStructure results
analysisDir <- "./analysis/order-search/"
source(paste0(analysisDir, "/src/Consensus.R"))


# setup -------------------------------------------------------------------
analysis <- "GSE141593_piz_ko_mice_gene_expr_suppgenes_n=215_log2fc=2"
# struct <- ""


var.names <- read.table(paste0(analysisDir, "/input/", analysis, "_nodes.txt"))$V1
structures.results.file <- paste0(analysis, "_struct_results.txt")

struct_in <- read.table(paste0(analysisDir, "/output/", structures.results.file), sep = " ")
structs <- struct_in$V27

excel.out <- paste0(analysisDir, "/output/", analysis, "_consensus")
gv.out <- paste0(analysisDir, "/output/", analysis, "_consensus.out.gv")
graphic.out <- paste0(analysisDir, "/output/", analysis, "_consensus.graph.pdf")

output <- sumTable(pathname = paste0(analysisDir, "/output/", structures.results.file),
                   node.names = var.names, exfilename = excel.out)

z <- AverageNetwork(pathname = excel.out, sheet.name = "Pairs",
                    str = structs[1],
                    node.names = var.names, outfile = gv.out)

dot.command <- paste("dot -Tpdf", gv.out, "-o", graphic.out)
dotRan <- system(dot.command)

if(dotRan == 0){
  cat("Consensus Graph can be found at:", graphic.out, "\n")
}
