# generate order table for results of order search
analysisDir <- "./analysis/order-search/"
analysis <- "GSE141593_piz_ko_mice_gene_expr_suppgenes_n=215_log2fc=2"
table.out <- paste0(analysisDir,"/output/", analysis, "_order_table")
var.names <- read.table(paste0(analysisDir,"/input/", analysis, "_nodes.txt"))$V1
ordersearch.results.file <- paste0(analysis, "_4h_mcmc_prescreen_results_2024.08.19.txt")

raw <- read.table(paste0(analysisDir,"/output/",
                         ordersearch.results.file), skip = 35, sep = "", fill = TRUE)

n.nodes <- length(var.names)
formatted <- raw
# first two splits { } into two variables, needs to be shifted
formatted[1, n.nodes+2] <- "{}"
formatted[1, n.nodes+3] <- formatted[1,ncol(formatted)]
formatted <- formatted[,-ncol(formatted)]



table <- data.frame(order.rank = 1:nrow(formatted),
                    order.prob = formatted[, n.nodes+3],
                    cumul.order.prob = gsub("\\{|\\}", "", formatted[,n.nodes+2]))

nodes <- as.matrix(formatted[,1:length(var.names)])
node.names <- data.frame(matrix(NA, nrow = nrow(nodes), ncol = ncol(nodes),
                                dimnames = list(NULL, paste0("node", 1:ncol(nodes)))))
for(i in 1:nrow(nodes)){
  for(j in 1:ncol(nodes)){
    node.num <- nodes[i,j] + 1  #node orders are 0 based, R is 1-based
    node.names[i,j] <- var.names[node.num]
  }
}

table.with.nodes <- cbind(table, node.names)

write.csv(table.with.nodes, file = paste0(table.out, ".csv"), row.names = FALSE)
